Data Fields

# arm_matrix_instance_q15 Struct Reference

Instance structure for the Q15 matrix structure. More...

`#include <arm_math.h>`

## Data Fields
uint16_t | numRows
uint16_t | numCols
q15_t * | pData

## Detailed Description

Instance structure for the Q15 matrix structure.

Definition at line 1348 of file arm_math.h.

## Field Documentation

uint16_t arm_matrix_instance_q15::numRows

number of rows of the matrix.

Definition at line 1350 of file arm_math.h.

uint16_t arm_matrix_instance_q15::numCols

number of columns of the matrix.

Definition at line 1351 of file arm_math.h.

q15_t* arm_matrix_instance_q15::pData

points to the data of the matrix.

Definition at line 1352 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines